<?php

namespace kernel\widgets;

use kernel\Widget;

class ActionButtonWidget extends Widget
{
    public function run(): void
    {
        $label = $this->data['label'];
        $btn_type = $this->data['btn_type'];
        $url = $this->data['url'];
        $this->cgView->render('/action_button.php', ['label' => $label, 'btn_type' => $btn_type, 'url' => $url]);
    }
}